Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Installation fails with error(Installation error - missing file)
Installation fails with error [message #1860706] Mon, 28 August 2023 07:24 Go to next message
Kurz Wolfgang is currently offline Kurz WolfgangFriend
Messages: 1
Registered: August 2023
Junior Member
For a newcomer it is almost not possible to submit a bug.
So many unknow things that have to be reported.. No simple helpfull explanation.
Newcomers are no advanced useres, THey just want to install the Eclipse IDE.

An istallation attempt ends with this log.
No help provided that gives a hint how to solve the problem !!!!!!!
There is a YouTube video which cannot be understood by persons who do not speak Indian Englsh - video really not helpfull !!!

Uninstall procedure which erases Eclspse completely with all dependent subcomponents !!! cannot be found. THere are alway remains in the file system and the registry ! Than you for filling up the C-drive with rubbish.

Error log:

[2023-08-28 09:11:17] Executing bootstrap tasks
[2023-08-28 09:11:17] OpenJDK Runtime Environment 17.0.7+7
[2023-08-28 09:11:17] Product org.eclipse.products.epp.package.java.2023-06
[2023-08-28 09:11:17] Bundle org.eclipse.oomph.setup 1.26.0.v20230416-0656, build=5945, branch=c5558820f367665758d4d719b7553a02ff4954e0
[2023-08-28 09:11:17] Bundle org.eclipse.oomph.setup.core 1.27.0.v20230402-0730, build=5945, branch=c5558820f367665758d4d719b7553a02ff4954e0
[2023-08-28 09:11:17] Bundle org.eclipse.oomph.setup.p2 1.19.0.v20230416-1150, build=5945, branch=c5558820f367665758d4d719b7553a02ff4954e0
[2023-08-28 09:11:17] Performing P2 Director (Eclipse IDE for Java Developers (2023-06))
[2023-08-28 09:11:17] Offline = false
[2023-08-28 09:11:17] Mirrors = true
[2023-08-28 09:11:17] Resolving 26 requirements from 3 repositories to C:\Users\User\eclipse\java-2023-065\eclipse
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:epp.package.java [4.28.0,5.0.0) (filter=(|(&(osgi.arch=aarch64)(osgi.os=linux)(osgi.ws=gtk))(&(osgi.arch=aarch64)(osgi.os=macosx)(osgi.ws=cocoa))(&(osgi.arch=x86_64)(osgi.os=linux)(osgi.ws=gtk))(&(osgi.arch=x86_64)(osgi.os=macosx)(osgi.ws=cocoa))(&(osgi.arch=x86_64)(osgi.os=win32)(osgi.ws=win32))))
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.platform.feature.group [4.28.0,5.0.0)
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.rcp.feature.group [4.28.0,5.0.0)
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.buildship.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.eclemma.feature.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.egit.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.epp.mpc.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.jdt.bcoview.feature.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.jdt.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.jgit.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.m2e.feature.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.m2e.lemminx.feature.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.m2e.logback.feature.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.mylyn.commons.activity.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.mylyn.egit.feature.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.mylyn.git.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.mylyn.github.feature.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.mylyn.hudson.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.mylyn.ide_feature.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.mylyn.java_feature.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.mylyn.reviews.feature.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.mylyn.wikitext_feature.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.tips.feature.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.tm.terminal.feature.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.wildwebdeveloper.xml.feature.feature.group
[2023-08-28 09:11:17] Requirement org.eclipse.equinox.p2.iu:org.eclipse.oomph.setup.feature.group
[2023-08-28 09:11:17] Repository https://download.eclipse.org/technology/epp/packages/2023-06/202306081200
[2023-08-28 09:11:17] Repository https://download.eclipse.org/releases/2023-06/202306141000
[2023-08-28 09:11:17] Repository https://download.eclipse.org/oomph/updates/milestone/latest
[2023-08-28 09:11:18] Calculating requirements and dependencies.
[2023-08-28 09:11:18] Computing prerequisite plan
[2023-08-28 09:11:19] Collecting 2 artifacts from https://download.eclipse.org/releases/2023-06/202306141000
[2023-08-28 09:11:20] Downloading org.eclipse.rcp_root
[2023-08-28 09:11:20] Downloading org.eclipse.platform_root
[2023-08-28 09:11:20] Collected 2 artifacts for https://download.eclipse.org/releases/2023-06/202306141000 in 1.32s
[2023-08-28 09:11:20] Collecting 1 artifacts from https://download.eclipse.org/technology/epp/packages/2023-06/202306081200
[2023-08-28 09:11:20] Downloading epp.package.java.executable.win32.win32.x86_64
[2023-08-28 09:11:20] Collected 1 artifacts for https://download.eclipse.org/technology/epp/packages/2023-06/202306081200 in 0s
[2023-08-28 09:11:21] An error was detected while performing the engine operation and the changes are being rolled back. See the log for details.
[2023-08-28 09:11:21] ERROR: org.eclipse.equinox.p2.engine code=4 An error occurred during the org.eclipse.equinox.internal.p2.engine.phases.CheckTrust phase.
at org.eclipse.oomph.util.OomphPlugin.coreException(OomphPlugin.java:296)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:578)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:359)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:904)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3864)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3792)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3773)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3651)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1353)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage$20.run(SimpleVariablePage.java:1165)
ERROR: org.eclipse.equinox.p2.engine code=0 session context was:(profile=C__Users_User_eclipse_java-2023-065_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.CheckTrust, operand=, action=).
ERROR: org.eclipse.equinox.p2.engine code=0 Error reading signed content.
java.io.FileNotFoundException: C:\Users\User\.p2\pool\plugins\org.eclipse.equinox.simpleconfigurator_1.4.200.v20221111-1340.jar (Das System kann die angegebene Datei nicht finden)
at java.base/java.io.FileInputStream.open0(Native Method)
at java.base/java.io.FileInputStream.open(Unknown Source)
at java.base/java.io.FileInputStream.<init>(Unknown Source)
at org.eclipse.osgi.internal.signedcontent.SignedContentFromBundleFile.lambda$2(SignedContentFromBundleFile.java:198)
at org.eclipse.osgi.internal.signedcontent.SignedContentFromBundleFile.getSignedEntries(SignedContentFromBundleFile.java:223)
at org.eclipse.osgi.internal.signedcontent.SignedContentFromBundleFile.<init>(SignedContentFromBundleFile.java:193)
at org.eclipse.osgi.internal.signedcontent.SignedBundleHook.getSignedContent(SignedBundleHook.java:169)
at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.checkCertificates(CertificateChecker.java:173)
at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.start(CertificateChecker.java:121)
at org.eclipse.equinox.internal.p2.engine.phases.CheckTrust.completePhase(CheckTrust.java:64)
at org.eclipse.equinox.internal.p2.engine.Phase.postPerform(Phase.java:254)
at org.eclipse.equinox.internal.p2.engine.Phase.perform(Phase.java:105)
at org.eclipse.equinox.internal.p2.engine.PhaseSet.perform(PhaseSet.java:50)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:95)
at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:49)
at org.eclipse.equinox.internal.provisional.p2.director.PlanExecutionHelper.executePlan(PlanExecutionHelper.java:48)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:574)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:359)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:904)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3864)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3792)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3773)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3651)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1353)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage$20.run(SimpleVariablePage.java:1165)

[2023-08-28 09:11:21]
Re: Installation fails with error [message #1860711 is a reply to message #1860706] Mon, 28 August 2023 13:49 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 33152
Registered: July 2009
Senior Member
I think you reported that problem here:

https://github.com/eclipse-oomph/oomph/issues/20

and then I answered you very quickly

https://github.com/eclipse-oomph/oomph/issues/20#issuecomment-1686369883

But after that I didn't hear back from you again and it seems you didn't see my answer there.

The menu on the Install has links for Ask a Question:

https://www.eclipse.org/setups/installer/question

and for Report a Problem:

https://www.eclipse.org/setups/installer/problem

I assume you must have used the latter to open an issue...

I'm sorry you ran into a problem. I'd like to help. Please read my answer in the issue:

https://github.com/eclipse-oomph/oomph/issues/20#issuecomment-1686369883


Ed Merks
Professional Support: https://www.macromodeling.com/
Previous Topic:Auto generated makefile fails @ line 6
Next Topic:Invalid manifest header Provide-Capability
Goto Forum:
  


Current Time: Fri May 24 14:26:58 GMT 2024

Powered by FUDForum. Page generated in 0.08658 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top